Bug 200956

Summary: www/drupal7: [patch][security] Update Drupal 7.37_1 to 7.38
Product: Ports & Packages Reporter: Simon Wright <simon.wright>
Component: Individual Port(s)Assignee: Xin LI <delphij>
Status: Closed FIXED    
Severity: Affects Some People CC: delphij, ports-secteam, wen
Priority: --- Keywords: patch, patch-ready, security
Version: LatestFlags: simon.wright: maintainer-feedback+
simon.wright: merge-quarterly?
Hardware: Any   
OS: Any   
Attachments:
Description Flags
Patch to update Drupal 7.37_1 to 7.38
none
Poudriere build log none

Description Simon Wright 2015-06-18 19:32:01 UTC
Created attachment 157865 [details]
Patch to update Drupal 7.37_1 to 7.38

Updates Drupal 7.37 to 7.38.

https://www.drupal.org/drupal-7.38-release-notes

Maintenance and security release of the Drupal 7 series.

This release fixes security vulnerabilities. Sites are urged to upgrade immediately after reading the notes below and the security announcement:

    Drupal Core - Critical - Multiple Vulnerabilities - SA-CORE-2015-002

No other fixes are included.

No changes have been made to the .htaccess, web.config, robots.txt or default settings.php files in this release, so upgrading custom versions of those files is not necessary.
Comment 1 Simon Wright 2015-06-18 20:11:37 UTC
Created attachment 157868 [details]
Poudriere build log
Comment 2 commit-hook freebsd_committer 2015-06-19 00:39:56 UTC
A commit references this bug:

Author: delphij
Date: Fri Jun 19 00:38:59 UTC 2015
New revision: 390094
URL: https://svnweb.freebsd.org/changeset/ports/390094

Log:
  Security Update to 7.38.

  PR:		ports/200956
  Submitted by:	Simon Wright (maintainer)
  MFH:		2015Q2
  Security:	d605edb1-1616-11e5-a000-d050996490d0

Changes:
  head/www/drupal7/Makefile
  head/www/drupal7/distinfo
Comment 3 commit-hook freebsd_committer 2015-06-19 00:47:02 UTC
A commit references this bug:

Author: delphij
Date: Fri Jun 19 00:46:38 UTC 2015
New revision: 390098
URL: https://svnweb.freebsd.org/changeset/ports/390098

Log:
  MFH r386115,390094,390096:

  Security update to 6.36 and 7.38.

  PR:		ports/200956, ports/200957
  Submitted by:	Simon Wright (maintainer)
  Security:	d605edb1-1616-11e5-a000-d050996490d0
  Approved by:	ports-secteam

Changes:
_U  branches/2015Q2/
  branches/2015Q2/www/drupal6/Makefile
  branches/2015Q2/www/drupal6/distinfo
  branches/2015Q2/www/drupal7/Makefile
  branches/2015Q2/www/drupal7/distinfo
  branches/2015Q2/www/drupal7/pkg-plist
Comment 4 Xin LI freebsd_committer 2015-06-19 00:47:42 UTC
Committed, thanks!
Comment 5 Kubilay Kocak freebsd_committer freebsd_triage 2015-06-21 06:34:56 UTC
Classify correctly after close